From 06677b3e003a179c0fa73efa67dbfb5dce81ed99 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 24 2020 02:07:52 +0000
Subject: [PATCH 1497/2232] Resolve cppcoreguidelines-avoid-magic-numbers


https://github.com/dtolnay/cxx/issues/500

---

diff --git a/.clang-tidy b/.clang-tidy
index f4a9d42..854e4d5 100644
--- a/.clang-tidy
+++ b/.clang-tidy
@@ -5,7 +5,6 @@ Checks:
   clang-diagnostic-*,
   cppcoreguidelines-*,
   modernize-*,
-  -cppcoreguidelines-avoid-magic-numbers,
   -cppcoreguidelines-macro-usage,
   -cppcoreguidelines-owning-memory,
   -cppcoreguidelines-pro-bounds-array-to-pointer-decay,
diff --git a/src/cxx.cc b/src/cxx.cc
index ecc3668..122f6a5 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -240,10 +240,13 @@ void cxxbridge1$unique_ptr$std$string$drop(
 }
 } // extern "C"
 
+namespace {
+const size_t kMaxExpectedWordsInString = 8;
 static_assert(alignof(std::string) <= alignof(void *),
               "unexpectedly large std::string alignment");
-static_assert(sizeof(std::string) <= 8 * sizeof(void *),
+static_assert(sizeof(std::string) <= kMaxExpectedWordsInString * sizeof(void *),
               "unexpectedly large std::string size");
+}
 
 #define STD_VECTOR_OPS(RUST_TYPE, CXX_TYPE)                                    \
   size_t cxxbridge1$std$vector$##RUST_TYPE##$size(                             \

